"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var none_1 = require("./none");
var git_1 = require("./git");
var ScmFactory = /** @class */ (function () {
    function ScmFactory() {
    }
    ScmFactory.prototype.createScmByType = function (type, buildArgs, globalErrorHandler) {
        switch (type.toLowerCase()) {
            case "git":
                return new git_1.Git(buildArgs, globalErrorHandler);
            case "none":
                return new none_1.None();
            default:
                return null;
        }
    };
    return ScmFactory;
}());
exports.ScmFactory = ScmFactory;
//# sourceMappingURL=scm-factory.js.map