import { IBranchHistory, IContributors, IHandlerParams, IMap, IScm } from "./contracts";
import Logger = require("bunyan");
export declare class None implements IScm {
    constructor();
    detectCommitVersion(handlerParams: IHandlerParams, logger: Logger): Promise<string>;
    getCommitOnlyHistory(historyLength: number, handlerParams: IHandlerParams, logger: Logger): Promise<string[]>;
    getGitDiffs(refCommit: string, handlerParams: IHandlerParams, logger: Logger): Promise<any>;
    getBranchHistory(handlerParams: IHandlerParams, logger: Logger): Promise<IBranchHistory>;
    getCommitsPerFile(handlerParams: IHandlerParams, logger: Logger): Promise<IMap<number[]>>;
    getRepositoryUrl(handlerParams: IHandlerParams, logger: Logger): Promise<string>;
    getRootDirectory(handlerParams: IHandlerParams, logger: Logger): Promise<string>;
    getFiles(handlerParams: IHandlerParams, logger: Logger): Promise<string[]>;
    getContributors(handlerParams: IHandlerParams, logger: Logger): Promise<IContributors>;
}
